package org.kasapbasi.tutorials.w0602;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.view.View;

/**
 * Created by mustafakasapbasi on 22/03/2017.
 */

public class Mycompass extends View {

    Paint p;
    float possition=0;

    public Mycompass(Context context) {
        super(context);
        p= new Paint();
        p.setColor(Color.RED);
        p.setAntiAlias(true);
        p.setStrokeWidth(2);
        p.setTextSize(25);
        p.setStyle(Paint.Style.STROKE);
    }

    @Override
    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);
     int y= getHeight()/2;
     int x=getWidth()/2;
        float radius = (float) (Math.max(x,y) * 0.6);
        canvas.drawCircle(x,y,radius,p);

        canvas.drawLine(x,  y,
                (float) (x + radius * Math.sin((double) (-possition) / 180 * 3.143)),
                (float) (y - radius * Math.cos((double) (-possition) / 180 * 3.143)),
                p);
        canvas.drawText(String.valueOf(possition), x, y, p);
    }


    public void UpdateData(float Pos){

        this.possition=Pos;
        invalidate();
    }
}
